Subject: Re: Errant readings on LM81 with T2080 SoC

From: Wolfram Sang <[email-masked]>
Date: Thu, 11 Mar 2021 09:18:42 +0100

> Bummer. What is really weird is that you see clock stretching under
> CPU load. Normally clock stretching is triggered by the device, not
> by the host.

One example: Some hosts need an interrupt per byte to know if they
should send ACK or NACK. If that interrupt is delayed, they stretch the
clock.